> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campaigncleaner.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Status

> After submitting a campaign to be corrected and analyzed it can take up to a minute to finalize the results. You can check the status of your campaign with the **check_campaign_status** API. When you see a 'completed' status, you can call the **get_campaign** API to retrieve the results.
#### Header:
**X-CC-API-Key**: Your API Key
#### Request Body:

**campaign**:

- **id**: The Campaign ID that you want to get the status for.
 

#### Response:

**campaign_list**:

- **id**: The campaign id that will be used in other API calls.
- **campaign_name**: The name of the campaign.
- **status**: The status will be either _processing_, _completed_, or _paused_
- **date_added**: The date and time your campaign was saved or submitted to [Campaign Cleaner](https://campaigncleaner.com).
 

If the **status** is _completed_, you will be able to retrieve the campaign via the **get_campaign** API

In the event of an error, you will get an "**error**:" response, with a description of the reason



## OpenAPI

````yaml POST /v1/get_campaign_status
openapi: 3.0.0
info:
  title: API DOCUMENTATION
  description: >-


    [Campaign Cleaner](https://campaigncleaner.com) is the leader in ensuring
    that your campaigns don't affect your IP and Domain reputation, it's the
    most advanced toolset you'll find that gives you all the tools you need to
    keep your campaigns within acceptable ratios of many email and spam
    filtering software and automatically fixes your HTML by sanitizing all
    non-email friendly attributes and inlines all your CSS to be compatible with
    every email client.


    We offer a robust collection of API's to allow you to integrate its
    functionality into your email marketing software and tools.


    The **{{api_key}}** is located in your account on [Campaign
    Cleaner](https://campaigncleaner.com) under **API Management API Keys.**


    Use the navigation on the left to access the different API Endpoints.
  version: 1.0.0
servers:
  - url: https://api.campaigncleaner.com
security: []
paths:
  /v1/get_campaign_status:
    post:
      tags:
        - Campaign Cleaner
      summary: Get Campaign Status
      description: >-
        After submitting a campaign to be corrected and analyzed it can take up
        to a minute to finalize the results. You can check the status of your
        campaign with the **check_campaign_status** API. When you see a
        'completed' status, you can call the **get_campaign** API to retrieve
        the results.

        #### Header:

        **X-CC-API-Key**: Your API Key

        #### Request Body:


        **campaign**:


        - **id**: The Campaign ID that you want to get the status for.
         

        #### Response:


        **campaign_list**:


        - **id**: The campaign id that will be used in other API calls.

        - **campaign_name**: The name of the campaign.

        - **status**: The status will be either _processing_, _completed_, or
        _paused_

        - **date_added**: The date and time your campaign was saved or submitted
        to [Campaign Cleaner](https://campaigncleaner.com).
         

        If the **status** is _completed_, you will be able to retrieve the
        campaign via the **get_campaign** API


        In the event of an error, you will get an "**error**:" response, with a
        description of the reason
      parameters:
        - name: X-CC-API-Key
          in: header
          schema:
            type: string
          example: '{{api_key}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                campaign:
                  id: '{{campaign_id}}'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                campaign_status:
                  id: e8c8af95-c033-11ed-9848-003048d8d536
                  campaign_name: Test Campaign 1
                  status: completed
                  date_added: '2023-02-23T12:02:46-05:00'

````